
import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {
    @Test
    public void setPriceTest() {
        float expected = 15.25f;
        
        Product dragons = new Product(25.00f, 3, "dragon");
        dragons.setPrice(15.25f);
        float actual = dragons.getPrice();
        
        Assert.assertEquals(actual, expected, 0.001f);
    }
    @Test
    public void addUnitsTest() {
        int expected = 10;
        
        Product dragons = new Product(25.00f, 3, "dragon");
        dragons.addUnits(7);
        int actual = dragons.getOnHandQuantity();
        
        Assert.assertEquals(actual, expected); 
    }
    @Test
    public void removeUnitsTest() {
        int expected = 2;
        
        Product dragons = new Product(25.00f, 3, "dragon");
        dragons.removeUnits(1);
        int actual = dragons.getOnHandQuantity();
        
        Assert.assertEquals(actual, expected);
    }
    
}
